package com.steerinfo.dil.service;

import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.dil.model.RmsCargodep;
import java.util.Date;
import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

/**
 * RmsCargodep服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2022-05-07 12:00
 * 类描述
 * 修订历史：
 * 日期：2022-05-07
 * 作者：generator
 * 参考：
 * 描述：RmsCargodep服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IRmsCargodepService {
    //新增放货码头
    int insetCargoDep(Map<String,Object> map);

    //更新放货码头
    int updateCargoDep(Map<String, Object> mapValue);

    //删除放货码头
    int deleteCargoDep(Map<String,Object> map);

    //列表展示
    List<Map<String, Object>> getCargoDepList(Map<String, Object> mapValue);

    //获取列表数据通过id
    List<Map<String, Object>> getCargoDepById(BigDecimal id);

}